<?php
/**
 * @file
 * cle_critique.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function cle_critique_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'node-cle_assignment-field_cle_crit_criteria'
  $field_instances['node-cle_assignment-field_cle_crit_criteria'] = array(
    'bundle' => 'cle_assignment',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Present students with directions on what criteria they should be looking for while giving this critique. This can be equated with directions for how to accomplish the critique.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 13,
      ),
      'gradebook_viewer' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_cle_crit_criteria',
    'label' => 'Criteria',
    'required' => 0,
    'settings' => array(
      'authcache' => array(
        'clients' => array(
          'authcache_ajax' => array(
            'status' => 1,
            'weight' => 0,
          ),
        ),
        'fallback' => 'cancel',
        'lifespan' => 3600,
        'perpage' => 0,
        'peruser' => 1,
        'status' => 0,
      ),
      'better_formats' => array(
        'allowed_formats' => array(
          'plain_text' => 0,
          'student_format' => 0,
          'textbook_editor' => 'textbook_editor',
        ),
        'allowed_formats_toggle' => 1,
        'default_order_toggle' => 0,
        'default_order_wrapper' => array(
          'formats' => array(
            'plain_text' => array(
              'weight' => 10,
            ),
            'student_format' => array(
              'weight' => 0,
            ),
            'textbook_editor' => array(
              'weight' => -10,
            ),
          ),
        ),
      ),
      'text_processing' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 5,
      ),
      'type' => 'text_textarea',
      'weight' => 18,
    ),
  );

  // Exported field_instance: 'node-cle_assignment-field_cle_crit_outline'
  $field_instances['node-cle_assignment-field_cle_crit_outline'] = array(
    'bundle' => 'cle_assignment',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Provide an outline of things students should look for when performing a critique. This can be used to guide students towards giving more meaningful critiques in earlier assignments or ensuring certain aspects of the critique are covered. Whatever you enter here will be automatically added to their text editor as their starting point to perform their critique.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 14,
      ),
      'gradebook_viewer' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_cle_crit_outline',
    'label' => 'Outline',
    'required' => 0,
    'settings' => array(
      'authcache' => array(
        'clients' => array(
          'authcache_ajax' => array(
            'status' => 1,
            'weight' => 0,
          ),
        ),
        'fallback' => 'cancel',
        'lifespan' => 3600,
        'perpage' => 0,
        'peruser' => 1,
        'status' => 0,
      ),
      'better_formats' => array(
        'allowed_formats' => array(
          'plain_text' => 0,
          'student_format' => 'student_format',
          'textbook_editor' => 0,
        ),
        'allowed_formats_toggle' => 1,
        'default_order_toggle' => 0,
        'default_order_wrapper' => array(
          'formats' => array(
            'plain_text' => array(
              'weight' => 10,
            ),
            'student_format' => array(
              'weight' => 0,
            ),
            'textbook_editor' => array(
              'weight' => -10,
            ),
          ),
        ),
      ),
      'text_processing' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 5,
      ),
      'type' => 'text_textarea',
      'weight' => 19,
    ),
  );

  // Exported field_instance: 'node-cle_assignment-field_cle_crit_type'
  $field_instances['node-cle_assignment-field_cle_crit_type'] = array(
    'bundle' => 'cle_assignment',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'No critique - There is no required critique activity associated with submissions of this assignment.
Double Blind - Neither student knows who they critiqued or who critiqued them when feedback is presented.
Blind - Students receiving a critique don\'t know who performed the critique.
Open critique - Students know who they are critiquing and who gave a critique.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 12,
      ),
      'gradebook_viewer' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_cle_crit_type',
    'label' => 'Type',
    'required' => 1,
    'settings' => array(
      'authcache' => array(
        'clients' => array(
          'authcache_ajax' => array(
            'status' => 1,
            'weight' => 0,
          ),
        ),
        'fallback' => 'cancel',
        'lifespan' => 3600,
        'perpage' => 0,
        'peruser' => 1,
        'status' => 0,
      ),
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'apply_chosen' => '',
      ),
      'type' => 'options_select',
      'weight' => 17,
    ),
  );

  // Exported field_instance: 'node-cle_critique-field_cle_crit_feedback'
  $field_instances['node-cle_critique-field_cle_crit_feedback'] = array(
    'bundle' => 'cle_critique',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 1,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_cle_crit_feedback',
    'label' => 'Critique',
    'required' => 1,
    'settings' => array(
      'better_formats' => array(
        'allowed_formats' => array(
          'plain_text' => 0,
          'student_format' => 'student_format',
          'textbook_editor' => 0,
        ),
        'allowed_formats_toggle' => 1,
        'default_order_toggle' => 0,
        'default_order_wrapper' => array(
          'formats' => array(
            'plain_text' => array(
              'weight' => 10,
            ),
            'student_format' => array(
              'weight' => 0,
            ),
            'textbook_editor' => array(
              'weight' => -10,
            ),
          ),
        ),
      ),
      'text_processing' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 20,
      ),
      'type' => 'text_textarea',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'node-cle_critique-field_cle_crit_sub_ref'
  $field_instances['node-cle_critique-field_cle_crit_sub_ref'] = array(
    'bundle' => 'cle_critique',
    'default_value' => NULL,
    'default_value_function' => 'entityreference_prepopulate_field_default_value',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'entityreference',
        'settings' => array(
          'links' => 0,
          'view_mode' => 'critique',
        ),
        'type' => 'entityreference_entity_view',
        'weight' => 0,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_cle_crit_sub_ref',
    'label' => 'Submission',
    'required' => 1,
    'settings' => array(
      'behaviors' => array(
        'prepopulate' => array(
          'action' => 'disable',
          'action_on_edit' => 1,
          'fallback' => 'none',
          'providers' => array(
            'og_context' => 0,
            'url' => 1,
          ),
          'skip_perm' => 0,
          'status' => 1,
        ),
      ),
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'apply_chosen' => '',
      ),
      'type' => 'options_select',
      'weight' => 0,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Criteria');
  t('Critique');
  t('No critique - There is no required critique activity associated with submissions of this assignment.
Double Blind - Neither student knows who they critiqued or who critiqued them when feedback is presented.
Blind - Students receiving a critique don\'t know who performed the critique.
Open critique - Students know who they are critiquing and who gave a critique.');
  t('Outline');
  t('Present students with directions on what criteria they should be looking for while giving this critique. This can be equated with directions for how to accomplish the critique.');
  t('Provide an outline of things students should look for when performing a critique. This can be used to guide students towards giving more meaningful critiques in earlier assignments or ensuring certain aspects of the critique are covered. Whatever you enter here will be automatically added to their text editor as their starting point to perform their critique.');
  t('Submission');
  t('Type');

  return $field_instances;
}
